PULSAR
API ReferenceTool Requests

List

List all tool requests.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

fulfilled?boolean

Whether fulfilled.

from?string

The start of the range to filter by.

to?string

The end of the range to filter by.

page?number

The page number to return.

Formatdouble
pageSize?number

The number of results to return per page.

Formatdouble

Response Body

application/json

Try it live
GET
/raw-materials/tool-requests/list

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/raw-materials/tool-requests/list"
{  "totalItems": 0.1,  "currentPage": 0.1,  "totalPages": 0.1,  "data": [    {      "updatedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "fulfilled": true,      "tools": [        {          "amount": 0.1,          "name": "string"        }      ],      "packageNumber": "string",      "workNumber": "string",      "employeeNumber": "string",      "operatorId": 0,      "machineId": 0,      "shiftId": 0,      "id": "string"    }  ]}